# hdrObject_s Struct Reference
[PYTHON.]

## Data Fields
| PyObject_HEAD
Header | h
Header | sigs
char ** | md5list
char ** | fileList
char ** | linkList
int_32 * | fileSizes
int_32 * | mtimes
int_32 * | uids
int_32 * | gids
unsigned short * | rdevs
unsigned short * | modes

## Detailed Description

Definition at line 117 of file rpmmodule.c.

## Field Documentation

char** hdrObject_s::fileList

Definition at line 122 of file rpmmodule.c.

int_32* hdrObject_s::fileSizes

Definition at line 124 of file rpmmodule.c.

int_32 * hdrObject_s::gids

Definition at line 126 of file rpmmodule.c.

Header hdrObject_s::h

Definition at line 119 of file rpmmodule.c.

char** hdrObject_s::linkList

Definition at line 123 of file rpmmodule.c.

char** hdrObject_s::md5list

Definition at line 121 of file rpmmodule.c.

unsigned short* hdrObject_s::modes

Definition at line 128 of file rpmmodule.c.

int_32* hdrObject_s::mtimes

Definition at line 125 of file rpmmodule.c.

hdrObject_s::PyObject_HEAD

Definition at line 118 of file rpmmodule.c.

unsigned short* hdrObject_s::rdevs

Definition at line 127 of file rpmmodule.c.

Header hdrObject_s::sigs

Definition at line 120 of file rpmmodule.c.

int_32* hdrObject_s::uids

Definition at line 126 of file rpmmodule.c.

The documentation for this struct was generated from the following file:

- python/rpmmodule.c